Tool: get_operation
Gets the status of a long-running operation.
Usage
Some tools return a long-running operation. You can use this tool to get the status of the operation. If an operation takes an extended amount of time, then wait at least 5 seconds before rechecking the status of the operation.
The following sample demonstrate how to use curl to invoke the get_operation MCP tool.
| Curl Request |
|---|
curl --location 'https://dataplex.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_operation", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for GetOperation. The fields project_id, location, and operation_id combine to form the full resource name of the operation: projects/{project_id}/locations/{location}/operations/{operation_id}. This should be the name returned by the tool that initiated the operation.
GetOperationRequest
| JSON representation |
|---|
{ "projectId": string, "location": string, "operationId": string } |
| Fields | |
|---|---|
projectId |
Required. The ID of the Google Cloud project containing the operation. |
location |
Required. The Google Cloud location (region) of the operation. |
operationId |
Required. The unique identifier of the operation to get, which was returned by the tool that initiated the operation. |
Output Schema
Response message for GetOperation.
GetOperationResponse
| JSON representation |
|---|
{
"name": string,
"done": boolean,
"response": {
"@type": string,
field1: ...,
...
},
"error": {
object ( |
| Fields | |
|---|---|
name |
The name of the operation. |
done |
Whether the operation has completed. |
response |
Optional. The operation result, which can be either an An object containing fields of an arbitrary type. An additional field |
error |
Optional. The error returned by the operation if any. |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌